Skip to main content
GET
List local MCP server installations

Authorizations

Authorization
string
header
required

A Barndoor API key, sent as Authorization: Bearer <key>. Keys are prefixed bdai_ and are opaque — do not attempt to decode one. Interchangeable with an OAuth 2.0 access token.

Scopes

openid

Issue an OIDC ID token identifying the caller.

profile

Read the caller's basic profile claims.

email

Read the caller's email address.

Response

200 - application/json

Successful Response

id
string<uuid>
required
catalog_id
string<uuid>
required
slug
string
required
name
string
required
enabled
boolean
required
configuration
Configuration · object
required
availability
enum<string>
required
Available options:
opt_in,
required
runtime
EmbeddedRuntime · object
required
configuration_schema
Configuration Schema · object
required